Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1336796 - [RFE][Nova] Add libosinfo as dependency of Nova package
Summary: [RFE][Nova] Add libosinfo as dependency of Nova package
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova
Version: 9.0 (Mitaka)
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ga
: 9.0 (Mitaka)
Assignee: Vladik Romanovsky
QA Contact: Prasanth Anbalagan
URL:
Whiteboard:
Depends On: 1304874
Blocks: 1361210 1408400
TreeView+ depends on / blocked
 
Reported: 2016-05-17 13:10 UTC by Stephen Gordon
Modified: 2016-12-23 09:41 UTC (History)
15 users (show)

Fixed In Version: openstack-nova-13.1.0-4.el7ost
Doc Type: Enhancement
Doc Text:
Clone Of: 1304874
: 1361210 (view as bug list)
Environment:
Last Closed: 2016-08-24 12:54:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 133945 None None None 2016-05-17 13:10:58 UTC
OpenStack gerrit 149625 None None None 2016-05-17 13:10:58 UTC
OpenStack gerrit 149626 None None None 2016-05-17 13:10:58 UTC
OpenStack gerrit 149627 None None None 2016-05-17 13:10:58 UTC
OpenStack gerrit 149628 None None None 2016-05-17 13:10:58 UTC
OpenStack gerrit 175895 None None None 2016-05-17 13:10:58 UTC
OpenStack gerrit 218962 None None None 2016-05-17 13:10:58 UTC
OpenStack gerrit 275519 None None None 2016-05-17 13:10:58 UTC
OpenStack gerrit 275520 None None None 2016-05-17 13:10:58 UTC
Red Hat Product Errata RHEA-2016:1761 normal SHIPPED_LIVE Red Hat OpenStack Platform 9 General Availability Advisory 2016-08-24 16:49:52 UTC

Comment 1 Stephen Gordon 2016-05-18 16:20:06 UTC
Removing blueprint URL as this is separate from the implementation of the feature itself (albeit a dependency of it to make it usable in the distribution).

Comment 2 Stephen Gordon 2016-07-26 18:18:13 UTC
Setting blocker as we need to confirm whether this feature will or won't work out of the box.

Comment 8 Prasanth Anbalagan 2016-08-15 15:23:08 UTC
Verified as follows - dependency list shows libosinfo package.

[root@serverA]# yum deplist openstack-nova-compute.noarch
..
package: openstack-nova-compute.noarch 1:13.1.1-1.el7ost
  dependency: /bin/sh
   provider: bash.x86_64 4.2.46-20.el7_2
  dependency: /usr/bin/python2
   provider: python.x86_64 2.7.5-34.el7
  dependency: bridge-utils
   provider: bridge-utils.x86_64 1.5-9.el7
  dependency: curl
   provider: curl.x86_64 7.29.0-25.el7
  dependency: genisoimage
   provider: genisoimage.x86_64 1.1.11-23.el7
  dependency: ipmitool
   provider: ipmitool.x86_64 1.8.15-0.1.el7ost
  dependency: iptables
   provider: iptables-services.x86_64 1.4.21-16.el7
   provider: iptables.x86_64 1.4.21-16.el7
   provider: iptables.i686 1.4.21-16.el7
  dependency: iptables-ipv6
   provider: iptables-services.x86_64 1.4.21-16.el7
  dependency: iscsi-initiator-utils
   provider: iscsi-initiator-utils.x86_64 6.2.0.873-33.el7_2.2
   provider: iscsi-initiator-utils.i686 6.2.0.873-32.el7
  dependency: libosinfo =================================> LIBOSINFO Dependency
   provider: libosinfo.x86_64 0.2.12-3.el7
   provider: libosinfo.i686 0.2.12-3.el7
  dependency: libvirt-daemon-kvm
   provider: libvirt-daemon-kvm.x86_64 1.2.17-13.el7_2.5
  dependency: libvirt-python
   provider: libvirt-python.x86_64 1.2.17-2.el7
  dependency: lvm2
   provider: lvm2.x86_64 7:2.02.130-5.el7_2.5
  dependency: openssh-clients
   provider: openssh-clients.x86_64 6.6.1p1-25.el7_2
  dependency: openstack-nova-common = 1:13.1.1-1.el7ost
   provider: openstack-nova-common.noarch 1:13.1.1-1.el7ost
  dependency: python-cinderclient >= 1.3.1
   provider: python-cinderclient.noarch 1.6.0-1.el7ost
  dependency: python-libguestfs
   provider: python-libguestfs.x86_64 1:1.28.1-1.55.el7_2.4
  dependency: qemu-kvm
   provider: qemu-kvm-rhev.x86_64 10:2.3.0-31.el7_2.21
   provider: qemu-kvm.x86_64 10:1.5.3-105.el7_2.7
  dependency: rsync
   provider: rsync.x86_64 3.0.9-17.el7
  dependency: sg3_utils
   provider: sg3_utils.x86_64 1.37-5.el7
  dependency: sysfsutils
   provider: sysfsutils.x86_64 2.1.0-16.el7
[root@serverA]#

Comment 10 errata-xmlrpc 2016-08-24 12:54:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-1761.html


Note You need to log in before you can comment on or make changes to this bug.